openni Namespace Reference

## Classes

class | Array
class | CameraSettings
class | CoordinateConverter
class | Device
class | DeviceInfo
class | OpenNI
class | PlaybackControl
class | Recorder
struct | RGB888Pixel
class | SensorInfo
struct | Version
class | VideoFrameRef
class | VideoMode
class | VideoStream
struct | YUV422DoublePixel

## Typedefs

typedef uint16_t | DepthPixel
typedef uint16_t | Grayscale16Pixel

## Enumerations

enum | DeviceState { DEVICE_STATE_OK = 0 , DEVICE_STATE_ERROR = 1 , DEVICE_STATE_NOT_READY = 2 , DEVICE_STATE_EOF = 3 }
enum | ImageRegistrationMode { IMAGE_REGISTRATION_OFF = 0 , IMAGE_REGISTRATION_DEPTH_TO_COLOR = 1 }
enum | PixelFormat { PIXEL_FORMAT_DEPTH_1_MM = 100 , PIXEL_FORMAT_DEPTH_100_UM = 101 , PIXEL_FORMAT_SHIFT_9_2 = 102 , PIXEL_FORMAT_SHIFT_9_3 = 103 , PIXEL_FORMAT_RGB888 = 200 , PIXEL_FORMAT_YUV422 = 201 , PIXEL_FORMAT_GRAY8 = 202 , PIXEL_FORMAT_GRAY16 = 203 , PIXEL_FORMAT_JPEG = 204 , PIXEL_FORMAT_YUYV = 205 }
enum | SensorType { SENSOR_IR = 1 , SENSOR_COLOR = 2 , SENSOR_DEPTH = 3 }
enum | Status { STATUS_OK = 0 , STATUS_ERROR = 1 , STATUS_NOT_IMPLEMENTED = 2 , STATUS_NOT_SUPPORTED = 3 , STATUS_BAD_PARAMETER = 4 , STATUS_OUT_OF_FLOW = 5 , STATUS_NO_DEVICE = 6 , STATUS_TIME_OUT = 102 }

## Variables

static const char * | ANY_DEVICE = NULL
static const int | TIMEOUT_FOREVER = -1
static const int | TIMEOUT_NONE = 0

## Detailed Description

openni is the namespace of the entire C++ API of OpenNI

## Typedef Documentation

## DepthPixel

typedef uint16_t openni::DepthPixel

Pixel type used to store depth images.

## Grayscale16Pixel

typedef uint16_t openni::Grayscale16Pixel

Pixel type used to store IR images.

## Enumeration Type Documentation

## DeviceState

enum openni::DeviceState

Enumerator
DEVICE_STATE_OK |
DEVICE_STATE_ERROR |
DEVICE_STATE_NOT_READY |
DEVICE_STATE_EOF |

## ImageRegistrationMode

enum openni::ImageRegistrationMode

Enumerator
IMAGE_REGISTRATION_OFF |
IMAGE_REGISTRATION_DEPTH_TO_COLOR |

## PixelFormat

enum openni::PixelFormat

All available formats of the output of a stream

Enumerator
PIXEL_FORMAT_DEPTH_1_MM |
PIXEL_FORMAT_DEPTH_100_UM |
PIXEL_FORMAT_SHIFT_9_2 |
PIXEL_FORMAT_SHIFT_9_3 |
PIXEL_FORMAT_RGB888 |
PIXEL_FORMAT_YUV422 |
PIXEL_FORMAT_GRAY8 |
PIXEL_FORMAT_GRAY16 |
PIXEL_FORMAT_JPEG |
PIXEL_FORMAT_YUYV |

## SensorType

enum openni::SensorType

The source of the stream

Enumerator
SENSOR_IR |
SENSOR_COLOR |
SENSOR_DEPTH |

## Status

enum openni::Status

Possible failure values

Enumerator
STATUS_OK |
STATUS_ERROR |
STATUS_NOT_IMPLEMENTED |
STATUS_NOT_SUPPORTED |
STATUS_BAD_PARAMETER |
STATUS_OUT_OF_FLOW |
STATUS_NO_DEVICE |
STATUS_TIME_OUT |

## Variable Documentation

## ANY_DEVICE

const char* openni::ANY_DEVICE = NULL

static

This special URI can be passed to Device::open() when the application has no concern for a specific device.

## TIMEOUT_FOREVER

const int openni::TIMEOUT_FOREVER = -1

static

## TIMEOUT_NONE

const int openni::TIMEOUT_NONE = 0

static